Skip to main content
POST
/
creators
/
collabs
/
{collabId}
/
drops
Create Drop
curl --request POST \
  --url https://unified-api.creatorcommerce.shop/creators/collabs/{collabId}/drops \
  --header 'Content-Type: application/json' \
  --header 'x-channel-access-token: <api-key>' \
  --data '
{
  "title": "hi quest 5",
  "description": "hello quest",
  "products": [
    {
      "id": "8491113971999",
      "enhancement": {
        "note": "test notesssssssss for quest snowboard",
        "media": [
          "https://picsum.photos/200/300"
        ]
      },
      "custom": {
        "cc-product-short-form-2": "product stuff quest",
        "cc-product-long-form-2": "product stuff quest longer"
      }
    },
    {
      "id": "8491114332447",
      "enhancement": {
        "note": "test notessssssXXsss for quest snowboard",
        "media": [
          "https://picsum.photos/200/300",
          {
            "mediaContentType": "IMAGE",
            "mimeType": "image/png",
            "originalFilename": "ChatGPT Image Jul 27, 2025, 02_48_21 PM.png",
            "extension": "png",
            "owner": "user_30iVLI8ndVGiTMgtAgD2mHMT7AB",
            "tags": [],
            "_id": "68918481be19399dfb5cc8d4",
            "filename": "68918481be19399dfb5cc8d4",
            "url": "https://assets-staging.drops.shop/user_30iVLI8ndVGiTMgtAgD2mHMT7AB/68918481be19399dfb5cc8d4.png",
            "__v": 0
          }
        ]
      },
      "custom": {
        "cc-product-short-form-2": "product stuff quest",
        "cc-product-long-form-2": "product stuff quest longer"
      }
    }
  ],
  "custom": {
    "cc-drop-short-form-2": "PPPPPPPPPPPPPPPP",
    "cc-drop-long-form-2": "UUUUUUUUUUU"
  }
}
'
{
  "drop": {
    "_id": "68d4bf4b7796e248a07dfc2f",
    "title": "hi quest 5",
    "description": "hello quest",
    "media": [],
    "products": [
      "68d4bd2202627cba6983e4df",
      "67bfce788207c73f3951acb7"
    ],
    "enhancements": [
      "68d4c15e7796e248a07dfd53",
      "68d4c15f7796e248a07dfd5d"
    ],
    "creator": "68d4828e02627cba69144aa2",
    "channels": [
      "67a93e156cc51f6c4e878e0c"
    ]
  }
}

Authorizations

x-channel-access-token
string
header
required

Channel or partner access token (x-channel-access-token or x-partner-access-token)

Path Parameters

collabId
string
required

The collab ID

Example:

"68d482d502627cba69150a33"

Body

application/json
title
string
required
description
string
required
products
object[]
required
custom
object
formId
string

Optional form template ID

Response

200 - application/json

Successfully created drop

drop
object